
/*
***	Copyright:	1994-1999 Gnter Woigk
  				mailto:kio@little-bat.de

 	This program is distributed in the hope that it will be useful,
 	but WITHOUT ANY WARRANTY; without even the implied warranty of
 	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

 	Permission to use, copy, modify, distribute, and sell this software and
 	its documentation for any purpose is hereby granted without fee, provided
 	that the above copyright notice appear in all copies and that both that
 	copyright notice and this permission notice appear in supporting
 	documentation, and that the name of the copyright holder not be used
 	in advertising or publicity pertaining to distribution of the software
 	without specific, written prior permission.  The copyright holder makes no
 	representations about the suitability of this software for any purpose.
 	It is provided "as is" without express or implied warranty.

 	THE COPYRIGHT HOLDER DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 	INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
 	EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY SPECIAL, INDIRECT OR
 	CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
 	DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
 	TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 	PERFORMANCE OF THIS SOFTWARE.
*/

typedef struct tap tap;
struct tap
{	short	dy;			// y-value for SetOrigin()
	short	id;			// file ID or 0
	long		pos;			// actual tape position
	long		len;			// tape length
	Str63	name;		// file name
	short	frame;		// for animation
	Boolean	running;		// running or stopped?
	Boolean	recording;		// record or play
	Boolean	visible;		// tape 2 may be eclipsed
	Boolean	selected;		// one of both tapes is selected
};

extern	WindowPtr	tape_window;
extern	Rect			tapeRect;

extern			Wait				( long delay );
extern			TapeZoom			( );
extern			OpenTapeWindow	( );
extern			CloseTapeWindow	( );
extern			RefreshTapeWindow	( );
extern			ClickInTapeWindow	( );
extern			OpenTape			( tap *tap, FSSpec file );


extern	OSErr	SaveTAPE			( short fileID );

extern 	long		LoadBlock			( tap *tap, Char typ, Short addr, Short len );
extern	long		SaveBlock			( tap *tap, Char typ, Short addr, Short len );
extern	long		VerifyBlock 		( tap *tap, Char typ, Short addr, Short len );

