/*	KIO's standard console window handler

***	Copyright:	1993-1995 Gnter Woigk
  				mailto:kio@little-bat.de

 	This program is distributed in the hope that it will be useful,
 	but WITHOUT ANY WARRANTY; without even the implied warranty of
 	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

 	Permission to use, copy, modify, distribute, and sell this software and
 	its documentation for any purpose is hereby granted without fee, provided
 	that the above copyright notice appear in all copies and that both that
 	copyright notice and this permission notice appear in supporting
 	documentation, and that the name of the copyright holder not be used
 	in advertising or publicity pertaining to distribution of the software
 	without specific, written prior permission.  The copyright holder makes no
 	representations about the suitability of this software for any purpose.
 	It is provided "as is" without express or implied warranty.

 	THE COPYRIGHT HOLDER DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 	INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
 	EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY SPECIAL, INDIRECT OR
 	CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
 	DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
 	TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 	PERFORMANCE OF THIS SOFTWARE.
*/


#ifndef	__options__
#include "options.h"
#endif


extern	short		col,row;		// cursor location
extern	short		cols,rows;		// window size (calculated when opened)
extern	Boolean		crsr;			// is the cursor blob displayed? (yes, if crsr>=1)

extern	WindowPtr	terminalwindow;
extern	Rect		terminalrect;

extern	MenuHandle	terminalmenu;	// if supplied console window item will be tagged
extern	short		terminalitem;

extern	void		TermCrsr		(Boolean f);	// switch cursor blob on/off (until next text output)
extern	void		TermOpen		();				// open terminal window
extern	void		TermClose		();				// close terminal window

extern	void		TermCLS			();
extern	void		TermNL			();
extern	void		TermChar		(Char c);
extern	void		TermPrint		(string s);
extern	void		TermWrap		(string s);
extern	void		TermSpace 		();

extern	void		TermLeft		();
extern	void		TermRight		();
extern	void		TermUp			();
extern	void		TermDown		();
extern	void		TermTab			();
extern	void		TermLocate		(short z, short s);
extern	void		TermHLocate		(short s);
extern	void		TermVLocate		(short z);

extern	void		TermRfsh		();
extern	void		TermFastRfsh 	();
extern	void		TermZoom		();

extern	void 		PrintLicense	();

#define	TermNum(N)	TermWrap(NumStr(N))
#define	TermMsg(S)	TermWrap(PStr(S)),TermNL()
#define	TermStr(S)	TermWrap(PStr(S))





