/*
***	Copyright:	1994-1995 Günter Woigk
  				mailto:kio@little-bat.de

 	This program is distributed in the hope that it will be useful,
 	but WITHOUT ANY WARRANTY; without even the implied warranty of
 	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

 	Permission to use, copy, modify, distribute, and sell this software and
 	its documentation for any purpose is hereby granted without fee, provided
 	that the above copyright notice appear in all copies and that both that
 	copyright notice and this permission notice appear in supporting
 	documentation, and that the name of the copyright holder not be used
 	in advertising or publicity pertaining to distribution of the software
 	without specific, written prior permission.  The copyright holder makes no
 	representations about the suitability of this software for any purpose.
 	It is provided "as is" without express or implied warranty.

 	THE COPYRIGHT HOLDER DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 	INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
 	EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY SPECIAL, INDIRECT OR
 	CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
 	DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
 	TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 	PERFORMANCE OF THIS SOFTWARE.
*/


//	The following structs contains all data associated with windows 
//	except z80 registers and core pointer:









struct win
	{	struct win	**next,**next,**self;

		
						
// load/save
		short		resrom;
		short		tapeID;
		long		tapeLen;
		long		tapePos;
		Str63		tapeName;
		short		tapeRunning;

// keyboard
		Char		kbdMethod;

// sound
		short		sound_method;		// actual method: Ear/Mic
		short		sound_volume;		// volume: 0 ... 127
		Char		lastout;			// start value for next frame

// z80 main loop
		Boolean		z80_running;		// z80 cpu: running or halted
		short		cnt;				// counter for screen refresh
		Long		frames_done;
		Long		reload_cycles;		// actual cycles/frame
		short		refreshRate;
		Char 		speed;
		Char		trace_mode;
		
	};

typedef struct win win;


